Risk

1/31/2018
05:10 PM
Dark Reading
Dark Reading
Products and Releases
50%
50%

Fidelis Cybersecurity Launches Intelligent Deception Technology to Lure, Detect, and Defend Against Advanced Attackers

Bethesda, Md. — Jan. 25, 2018: Fidelis Cybersecurity (Fidelis), a leading automation detection and response company, today announced the Fidelis Deception Module as a part of Fidelis’ Elevate platform, to truly transform security operations.

As part of recently acquired TopSpin, the Deception Module will extend visibility and detection deep into the network to protect critical data, addressing growing market demand and technology advancements to combat modern day attackers. Fidelis Deception helps security operations learn new attacker techniques and defend critical data assets.

Given the increasing number and sophistication of today’s breaches, it’s no surprise that Deception is gaining widespread attention and becoming a critical part of organizations’ security infrastructure. The need for better detection and response is creating new opportunities for security stack automation, integration, consolidation and orchestration, while also driving the emergence of new segments like deception.

“Deception and automated detection and response (ADR) are the perfect match for our customers,” says Doron Kolton, Chief Strategy Officer of Emerging Technologies at Fidelis Cybersecurity. “The Fidelis Elevate Platform paired with intelligent deception technology ensures organizations stay one step ahead of cybercriminals and detect anomalies, malicious activity and insider threats before they attack.”

The Deception Module improves and becomes deterministic with breadcrumbs leading to decoys to lure attackers and automated malware known to scan hundreds of applications. Instead of searching in vain for the bad actor within an ocean of good data, deception delivers actionable alerts and events from decoys. Fidelis Deception goes a step further and creates evidence of credentials and connections from breadcrumbs throughout the network which are irresistible to attackers. This data both leads attackers toward the persuasive decoy network while simultaneously creating validated threat intelligence that includes devices, data, and behavior all designed to turn the tables on the attackers. They pursue the lures so you can detect, learn, and defend.

By taking an automated approach to deception deployment and maintenance, organizations alter the playing field for attackers. Instead of searching in vain for the bad actor within an ocean of good data, deception delivers validated alerts and events from decoys, MITM (Man in the Middle) traps, Active Directory breadcrumbs and traffic analysis. These equip security operations teams to work with exceptional effectiveness and efficiency and to move from alerts to conclusions.

For more information:

 

About Fidelis Cybersecurity

Fidelis is the industry’s only completely integrated, automated network and endpoint detection and response platform. Fidelis is engineered for visibility, designed for response and trusted by the most important brands in the world. See what you’ve been missing. Visit www.fidelissecurity.com.

 

Comment  | 
Print  | 
More Insights
Comments
Newest First  |  Oldest First  |  Threaded View
Why CISOs Need a Security Reality Check
Joel Fulton, Chief Information Security Officer for Splunk,  6/13/2018
Cisco Talos Summit: Network Defenders Not Serious Enough About Attacks
Curtis Franklin Jr., Senior Editor at Dark Reading,  6/13/2018
Meet 'Bro': The Best-Kept Secret of Network Security
Greg Bell, CEO, Corelight,  6/14/2018
Register for Dark Reading Newsletters
White Papers
Video
Cartoon
Current Issue
Flash Poll
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2018-12294
PUBLISHED: 2018-06-19
WebCore/platform/graphics/texmap/TextureMapperLayer.cpp in WebKit, as used in WebKitGTK+ prior to version 2.20.2, is vulnerable to a use after free for a WebCore::TextureMapperLayer object.
CVE-2018-12519
PUBLISHED: 2018-06-19
An issue was discovered in ShopNx through 2017-11-17. The vulnerability allows a remote attacker to upload any malicious file to a Node.js application. An attacker can upload a malicious HTML file that contains a JavaScript payload to steal a user's credentials.
CVE-2018-12588
PUBLISHED: 2018-06-19
Cross-site scripting (XSS) vulnerability in templates/frontend/pages/searchResults.tpl in Public Knowledge Project (PKP) Open Monograph Press (OMP) v1.2.0 through 3.1.1-1 before 3.1.1-2 allows remote attackers to inject arbitrary web script or HTML via the catalog.noTitlesSearch parameter (aka the S...
CVE-2018-10811
PUBLISHED: 2018-06-19
strongSwan 5.6.0 and older allows Remote Denial of Service because of Missing Initialization of a Variable.
CVE-2018-10945
PUBLISHED: 2018-06-19
The mg_handle_cgi function in mongoose.c in Mongoose 6.11 allows remote attackers to cause a denial of service (heap-based buffer over-read and application crash, or NULL pointer dereference) via an HTTP request, related to the mbuf_insert function.